iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MAMultiPointOverlayRenderer Class Reference

`#import <MAMultiPointOverlayRenderer.h>`

Inheritance diagram for MAMultiPointOverlayRenderer:

## Instance Methods
(instancetype) | - initWithMultiPointOverlay:
Instance Methods inherited from MAOverlayRenderer
(GLuint strokeTextureID) | - __attribute
(instancetype) | - initWithOverlay:
| 初始化并返回一个Overlay Renderer initialize and return an Overlay Renderer More...
(float *) | - getViewMatrix
| 获取当前地图view矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map view matrix with an array length of 16, no external release required. Valid matrix data can only be obtained after adding to the map, otherwise returns NULL. More...
(float *) | - getProjectionMatrix
| 获取当前地图projection矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map projection matrix with an array length of 16, no need for external release. Valid matrix data can only be obtained after adding it to the map, otherwise returns NULL. More...
(MAMapPoint) | - getOffsetPoint
| 获取当前地图中心点偏移，用以把地图坐标转换为gl坐标。需要添加到地图获取才有效。（since 5.1.0） Get the current map center offset to convert map coordinates to gl coordinates. It only takes effect when added to map acquisition （since 5.1.0） More...
(id< MTLRenderCommandEncoder >) | - getCommandEncoder
| 获取Metal渲染MTLRenderCommandEncoder对象。注意：打开地图MetalEnable时有效，否则为nil（since 7.9.0） Obtain the Metal rendering MTLRenderCommandEncoder object. Note: It is valid when MetalEnable is turned on for the map, otherwise it is nil.（since 7.9.0） More...
(CGFloat) | - getMapZoomLevel
| 获取当前地图缩放级别，需要添加到地图获取才有效。（since 5.1.0） Get the current map zoom level, which is only valid when added to the map（since 5.1.0） More...
(CGPoint) | - glPointForMapPoint:
| 将MAMapPoint转换为opengles可以直接使用的坐标 Convert MAMapPoint to coordinates that can be directly used by OpenGLES More...
(CGPoint *) | - glPointsForMapPoints:count:
| 批量将MAMapPoint转换为opengles可以直接使用的坐标 Batch convert MAMapPoint to coordinates that can be directly used by opengles More...
(CGFloat) | - glWidthForWindowWidth:
| 将屏幕尺寸转换为OpenGLES尺寸 Convert screen size to OpenGLES size More...
(void) | - glRender
| 绘制函数(子类需要重载来实现) Drawing function (subclasses need to override to implement) More...
(GLuint) | - loadTexture:
| 加载纹理图片. 注意：仅使用gles环境（since 5.1.0） Load texture image. Note: Only use gles environment （since 5.1.0） More...
(void) | - deleteTexture:
| 删除纹理. 注意：仅使用gles环境（since 5.1.0） Delete texture. Note: Only use in GLES environment（since 5.1.0） More...
(void) | - setNeedsUpdate
| 当关联overlay对象有更新时，调用此接口刷新. since 5.0.0 Call this interface to refresh when the associated overlay object is updated. since 5.0.0 More...

## Properties
id< MAMultiPointOverlayRendererDelegate > | delegate
UIImage * | icon
CGSize | pointSize
CGPoint | anchor
MAMultiPointOverlay * | multiPointOverlay
Properties inherited from MAOverlayRenderer
id< MAOverlayRenderDelegate > | rendererDelegate
id< MAOverlay > | overlay
UIImage * | strokeImage
CGFloat | alpha
CGFloat | contentScale

## Additional Inherited Members
Protected Attributes inherited from MAOverlayRenderer
GLuint | _strokeTextureID
CGSize | _strokeTextureSize
BOOL | _needsUpdate
BOOL | _needsLoadStrokeTexture

## Detailed Description

海量点渲染renderer（since 5.1.0）。 注意：为了保证渲染效率，纹理不受alpha参数影响，如果需要设置透明度，请更换icon。 Massive point rendering renderer (since 5.1.0). Note: To ensure rendering efficiency, textures are not affected by the alpha parameter. If you need to set transparency, please change the icon.

## Method Documentation

## ◆ initWithMultiPointOverlay:

- (instancetype) initWithMultiPointOverlay: |  | (MAMultiPointOverlay *) | multiPointOverlay |

初始化方法 Initialization method

## Property Documentation

## ◆ anchor

- (CGPoint) anchor
| read write nonatomic assign

经纬度对应图片中的位置，默认为(0.5,0.5)，范围[0-1] 负值自动取其绝对值 左上角为 (0,0) 右下角为 (1,1) latitude and longitude correspond to the position in the image, default is (0.5,0.5), range [0-1] negative values automatically take their absolute value, top-left corner is (0,0) bottom-right corner is (1,1)

## ◆ delegate

- (id<MAMultiPointOverlayRendererDelegate>) delegate
| read write nonatomic weak

MAMultiPointOverlayRendererDelegate代理对象 MAMultiPointOverlayRendererDelegate delegate object

## ◆ icon

- (UIImage*) icon
| read write nonatomic strong

标注纹理图片 Label texture image

## ◆ multiPointOverlay

- (MAMultiPointOverlay*) multiPointOverlay
| read nonatomic assign

对应的overlay Corresponding overlay

## ◆ pointSize

- (CGSize) pointSize
| read write nonatomic assign

纹理渲染大小，默认为icon图片大小 texture rendering size, default is the icon image size

The documentation for this class was generated from the following file:

- MAMultiPointOverlayRenderer.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。